Help - Search - Members - Calendar
Full Version: Pdaxqtrom Updates
OESF Forums > Distros, Development, and Model Specific Forums > Everything Development > X/Qt
Meanie
a new update, 0.7.9 will be available soon.

this version fixes and adds the following:

- updated xqtcleanup script (0.1.4) which should now clean up properly

- fixed links for Xqt-rootless-1 and Xqt-rootless-2 so the QT desktop icons calling the embedded/rootless mode apps will work

- added monolingual script to enable/disable scim (multi language input methods)

- added xembed script to switch between embedded/rootless mode and full X/Qt launch for the QT desktop icons

- updated xmms to include openGL support and added MOD plugin

- added mplayer (mplayer2) with X11 support and xmms plugin (no optimisation for ati or bvdd so runs on any zaurus but slower)

- added gplflash player for X11 with firefox plugin

- working on jamvm and classpath (Java 1.4.x support) - works except for 2D graphics

- add jedit if 2D graphics support is fixed above
freebird
QUOTE(Meanie @ Jun 4 2006, 07:29 AM)
a new update, 0.7.9 will be available soon.

this version fixes and adds the following:

- updated xqtcleanup script (0.1.4) which should now clean up properly

- fixed links for Xqt-rootless-1 and Xqt-rootless-2 so the QT desktop icons calling the embedded/rootless mode apps will work

- added monolingual script to enable/disable scim (multi language input methods)

- added xembed script to switch between embedded/rootless mode and full X/Qt launch for the QT desktop icons

- updated xmms to include openGL support and added MOD plugin

- added mplayer (mplayer2) with X11 support and xmms plugin (no optimisation for ati or bvdd so runs on any zaurus but slower)

- added gplflash player for X11 with firefox plugin

- working on jamvm and classpath (Java 1.4.x support) - works except for 2D graphics

- add jedit if 2D graphics support is fixed above
*

Hello MEANIE
hope you will be soon back home
i wonder if it is possible you add TUXCARDS 1.2 which is a great application
here is the link to the homepage
http://www.tuxcards.de/
and here is the link to padaxrom version from zdevil feeds
[URL=http://mail.pdaxrom.org/contrib/zdevil/]
http://mail.pdaxrom.org/contrib/zdevil/
and finaly here is a the screenshot

thanks
freebird
Meanie
well since I was just home for the weekend, I decided it be best to release what I currently have and add java support in the next release or whenever I get it to work fully to my satisfaction.

so pdaXqtrom 0.7.9 is now available for download. i also updated the website a bit so read the html file http://www.thegrinder.ws/Meanies_XQT/pdaxq.../pdaxqtrom.html

i uploaded both cramfs and squashfs this time smile.gif http://www.thegrinder.ws//Meanies_XQT/pdaxqtrom/
the zgcc image has not changed yet. i will update it later and will also re upload the openoffice image, and a newer java image when its ready and i am home again. well, off to the airport again...

btw freebird, adding tuxcard for xqt is gonna be very difficult. it requires qt 3 so would need the complete qt runtime libraries compiled first.
Rayforever
Could anyone told me where i can find xqtcleanup script 0.1.4?
thanks!
Raul
xqtcleanup you will find in /mnt/pdaXqtrom-base/tools/
Cresho
There is a tux cards application available for the zaurus by the guy who did kapi and kopi. I posted tuxcards but you actually need around 10mb total to run it because of the needed libraries. Runs fast too but i would like to see a xqt version myself.
Meanie
QUOTE(Cresho @ Jun 6 2006, 08:30 PM)
There is a tux cards application available for the zaurus by the guy who did kapi and kopi.  I posted tuxcards but you actually need around 10mb total to run it because of the  needed libraries.  Runs fast too but i would like to see a xqt version myself.
*



oh i forgot to mention that links is also included so you can use it from the console in text mode or specify the -g option from within xqt to use it in graphics mode.

tuxcards is possible, but dont expect it anytime soon because i am currently way busy...
Reder
Meanie,
I can't enable scim.
It will show "error while loading shared libraries: libgtk-x11-2.0.so.0: cannot load shared object file: No such file or directory".
Cresho
This is much better. Noticable speed increase from I don't know were to point this to.
Runs faster than previous version. some problems i'll post here. This is on a fresh install since i came back from openzaurus(nice rom)

1. gimp will not launch because it wants a upgrade to freetype 2.1.7
2. firefox is dead slow just like you say even on pdaxrom but it works.


that's it so far.
mars
I installed the June 05 versions from the grinder site (appears to be the latest as of today), and get the following error when trying to open or create a file in grisbi:

CODE
grisbi: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2
freebird
QUOTE(Meanie @ Jun 6 2006, 11:25 AM)
QUOTE(Cresho @ Jun 6 2006, 08:30 PM)
There is a tux cards application available for the zaurus by the guy who did kapi and kopi.  I posted tuxcards but you actually need around 10mb total to run it because of the  needed libraries.  Runs fast too but i would like to see a xqt version myself.
*



oh i forgot to mention that links is also included so you can use it from the console in text mode or specify the -g option from within xqt to use it in graphics mode.

tuxcards is possible, but dont expect it anytime soon because i am currently way busy...
*


Hi all
yes cresho
tuxcards for sharp rom exists but it is version 1.0.0 almost the first release
the actual version is 1.2 which has more features such as encryption option.
if some one can compile the 1.2 version for sharp rom it is Ok, cause no mather it runs on sharp rom or on pdaxqtrom, we have both roms together on the same machine and as qt3.3.1 lib for sharp rom is available.
any way
here is the link to qt3.1.1 and tuxcards 1.0.0 home page (sharp rom versions) to get qt3.11 lib
http://sourceforge.net/project/showfiles.p...ckage_id=128966
and here is the link to the source code of version 1.2 to get the uncompiled package may be some one can compile it for sharp rom
http://www.tuxcards.de/requirements.html

freebird smile.gif
freebird
QUOTE(Meanie @ Jun 6 2006, 05:01 AM)
btw freebird, adding tuxcard for xqt is gonna be very difficult. it requires qt 3 so would need the complete qt runtime libraries compiled first.
*


hello Meanie

what about the package qt-mt_3.3.5_armv5tel.ipk that is available in

http://mail.pdaxrom.org/1.1.0beta1/XQt/

isn't it that one which is required and compiled for XQt ??


one other solution is to compile tuxcards 1.2 for sharp rom as qt3 libraries for this rom are already available wink.gif as posted in my privious message

anyway i understand that this application is not the first request, and that you are so busy, you are doing so much for us zaurus users community

and thinks for doing so much smile.gif

freebird
xamindar
By the way, where are the squashfs modules for the sharp rom? I can't find that package listed on meanies site ANYWHERE. The search function in these forums doesn't even seem to work.
freebird
QUOTE(xamindar @ Jun 6 2006, 08:27 PM)
By the way, where are the squashfs modules for the sharp rom?  I can't find that package listed on meanies site ANYWHERE.  The search function in these forums doesn't even seem to work.
*


here is the link
http://www.thegrinder.ws//Meanies_XQT/pdaxqtrom/
xamindar
QUOTE(freebird @ Jun 6 2006, 12:33 PM)


Sorry, I mean the kernel modules. The sharp kernel doesn't come with them(tetsus kernel doesn't either). The one listed on meanies site is "kern-mod-squashfs_c3000-2.1-2_arm.ipk" but I can't find it anywhere. It's too bad meanie doesn't link all the packages he lists on his site because quite a few of them are not available any more.
freebird
QUOTE(xamindar @ Jun 6 2006, 09:06 PM)
QUOTE(freebird @ Jun 6 2006, 12:33 PM)


Sorry, I mean the kernel modules. The sharp kernel doesn't come with them(tetsus kernel doesn't either). The one listed on meanies site is "kern-mod-squashfs_c3000-2.1-2_arm.ipk" but I can't find it anywhere. It's too bad meanie doesn't link all the packages he lists on his site because quite a few of them are not available any more.
*



it is in his web page
http://www.users.on.net/~hluc/myZaurus/
where he wrote
I have archived up all my installed packages here

cheers freebird wink.gif
xamindar
Why thank you! biggrin.gif
kenko
Sorry, am I suppose to get the gtk2 updated with this image? I install it with the script provided but when I try to run gnumeric I still get the following error

gnumeric: error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new

And this link to /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.600.2

Which part did I do wrong? unsure.gif

PS: I'm with cacko 1.23
kenko
QUOTE(kenko @ Jun 7 2006, 11:03 AM)
Sorry, am I suppose to get the gtk2 updated with this image? I install it with the script provided but when I try to run gnumeric I still get the following error

gnumeric: error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new

And this link to /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.600.2

Which part did I do wrong?  unsure.gif

PS: I'm with cacko 1.23
*


I use the xqtcleanup and reinstall. This time give me different error msg

gnumeric: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

unsure.gif
Meanie
QUOTE(kenko @ Jun 7 2006, 01:41 PM)
QUOTE(kenko @ Jun 7 2006, 11:03 AM)
Sorry, am I suppose to get the gtk2 updated with this image? I install it with the script provided but when I try to run gnumeric I still get the following error

gnumeric: error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new

And this link to /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.600.2

Which part did I do wrong?  unsure.gif

PS: I'm with cacko 1.23
*


I use the xqtcleanup and reinstall. This time give me different error msg

gnumeric: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

unsure.gif
*



looks like you have an older libpng installed. uninstall it first and then rerun the pdaxqtrom setup script.
kenko
QUOTE(Meanie @ Jun 7 2006, 02:34 PM)
QUOTE(kenko @ Jun 7 2006, 01:41 PM)
QUOTE(kenko @ Jun 7 2006, 11:03 AM)
Sorry, am I suppose to get the gtk2 updated with this image? I install it with the script provided but when I try to run gnumeric I still get the following error

gnumeric: error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new

And this link to /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.600.2

Which part did I do wrong?  unsure.gif

PS: I'm with cacko 1.23
*


I use the xqtcleanup and reinstall. This time give me different error msg

gnumeric: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

unsure.gif
*



looks like you have an older libpng installed. uninstall it first and then rerun the pdaxqtrom setup script.
*



Thanks again Meanie. But how can I uninstall libpng? Delete all libpng* under /opt/QtPalmtop/lib?
Reder
QUOTE(Reder @ Jun 6 2006, 11:31 PM)
Meanie,
I can't enable scim.
It will show "error while loading shared libraries: libgtk-x11-2.0.so.0: cannot load shared object file: No such file or directory".
*


Inspiring by the posts by kenko, I did xqtcleanup and reinstall. This time all things are fine. Thanks for the nice pack. laugh.gif

Another question, where should I put the dictionary files of stardict?
/usr/share/stardict/dic Is this the right path?
xamindar
Hey Meanie. I have a question about the embedded applications. There are no borders so I can not move them. Is this a problem with my installation?
freebird
QUOTE(xamindar @ Jun 7 2006, 09:32 PM)
Hey Meanie.  I have a question about the embedded applications.  There are no borders so I can not move them.  Is this a problem with my installation?
*

hello xamindar
no it is not a problem with your installation
emdedded modes is like that yoou can not move nor resize the windows
the embeded mode have some limitations, is it better to use the full x mode
freebird smile.gif
RobbH
I am encountering an interesting problem with the new version. In Abiword and in Nedit, I am unable to produce a comma. Pressing shift-slash (as required by Cacko) it seems to toggle the Ctrl key on, and it remains on until I press the Ctrl key. In Nedit the unshifted key does produce a slash, but not even that works in Abiword.

This is a monolingual setup for US English. I previously had version 0.7.8 installed. When I first discoverd this problem, I ran the xqtcleanup script and re-ran the installation script. No change.

Ideas, suggestions?
Raul
QUOTE(Meanie @ Jun 7 2006, 08:34 AM)
looks like you have an older libpng installed. uninstall it first and then rerun the pdaxqtrom setup script.
*

I have the same problem. How can I uninstall libpng?
dinorex
finally, i'm managed to install this pdaxqtrom in my original sharp rom environment....

thx meanie... smile.gif
Raul
After xqtcleanup when I run install I have following error: /home/QtPalmtop/lib/libgobject-2.0.so.0: undefined symbol: g_bsearch_array_new
Then when I try to launch any aplications from xlauncher (X/qt mode) i've got the same error as
previously stated: xxxx : somethingsomething g_option_conttext_new
Meanie
QUOTE(Raul @ Jun 10 2006, 08:04 AM)
After xqtcleanup when I run install I have following error: /home/QtPalmtop/lib/libgobject-2.0.so.0: undefined symbol: g_bsearch_array_new
Then when I try to launch any aplications from xlauncher (X/qt mode) i've got the same error as
previously stated: xxxx : somethingsomething g_option_conttext_new
*


did you rerun pdaXqtrom-base-setup after you run the xqtcleanup script?
Raul
What do you mean by pdaxqtrom-base-setup? Runing install.sh script?
alee16
Meanie, I installed your pdaxqtrom, and xmms, gimp, and a few other apps work great, but I can't get Abiword of Firefox to load. How long should it take Firefox to load?

Abiword gives the following output:
abiword: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

I think I see the answer earlier in this thread: uninstall libpng and try again from the top, but how do you uninstall libpng?
danboid
error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

I'm getting this same error under this latest pdaxqtrom

I'd ran the homefix tool or whatever its called- that made no difference. Tried doing a xqtcleanup and then re-installing with pdaXqtrom-base-setup and the apps one too but I still get the same error as these guys. I haven't installed any version of libpng, but one may come with cacko 1.23b as standard? I'm not next to my Z..
Meanie
QUOTE(alee16 @ Jun 20 2006, 03:21 AM)
Meanie, I installed your pdaxqtrom, and xmms, gimp, and a few other apps work great, but I can't get Abiword of Firefox to load.  How long should it take Firefox to load? 

Abiword gives the following output:
abiword: error while loading shared libraries: /opt/QtPalmtop/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: undefined symbol: png_create_read_struct_2

I think I see the answer earlier in this thread: uninstall libpng and try again from the top, but how do you uninstall libpng?
*


you should be able to just uninstall it from the Package Manager similar to the freetype library, but if that's not available then do:

CODE
su
rm /opt/QtPalmtop/lib/libpng*


also do

QUOTE
rm /etc/gtk-2.0/*


so the new config files can be generated.
alee16
Thanks! It works just fine now. I was also wondering, is abiword kind of slow in response to taps? Is there a way to make it faster? I think it is because it is getting into the area of swap memory, which drastically slows it down, can I "un-cache" some programs to make it still be within the SDRAM and speed it up, or is abiword just slow because of the different platform it is running on?
Raul
QUOTE(Meanie @ Jun 19 2006, 03:50 AM)
did you rerun pdaXqtrom-base-setup after you run the xqtcleanup script?

If you mean runing install script I have done that. If not, I'm not sure what pdaXqtrom-base-setup do you mean.

Kind regards,
Raul
danboid
If you're getting the same error message I was then delete the two sets of files Meanie mentioned and then run pdaXqtrom-base-setup which is under

/home/system/var/mnt/pdaXqtrom-base/

on my installation, at least, that fixed it

I've only had a quick go but Abiword does seem to work, with spell check, in embedded mode but it takes about a minute to load and is very sluggish in operation. You will be amazed at how much faster it loads and how much more responsive X apps like Abiword and Gnumeric are under OZ/GPE or 'real' pdaXrom.

Now I need to know if its possible to install CUPS under Cacko/pdaXqtrom?

dan
Raul
QUOTE(danboid @ Jun 20 2006, 08:13 AM)
/home/system/var/mnt/pdaXqtrom-base/
on my installation, at least, that fixed it

I'm not getting the same error. I tried with pdaXqtrom-base-setup after runing pdaxqtrom-install.sh but it still give the same error. And I did the steps Meanie wrote.
bolbit
Hi all,
I recently switch to cako 1.23 full, and intall pdaxqtrom ,i had the same trouble as you about libpng,libgobject and pixbuff.
if you look at the /home/QtPalmtop/lib you should have something like this for these libs :
CODE
lrwxrwxrwx    1 root     root           57 Jun 19 08:27 libgmodule-1.2.so.0 -> /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgmodule-1.2.so.0
lrwxrwxrwx    1 root     root           62 Jun 19 08:27 libgmodule-1.2.so.0.0.10 -> /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgmodule-1.2.so.0.0.10
lrwxrwxrwx    1 root     root           55 Jun 19 08:27 libgmodule-2.0.so -> /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgmodule-2.0.so
lrwxrwxrwx    1 root     qpe            45 Jun 23 16:58 libgmodule-2.0.so.0 -> /home/QtPalmtop/lib/libgmodule-2.0.so.0.800.1
-rwxr-xr-x    1 root     qpe         11332 Aug  9  2003 libgmodule-2.0.so.0.200.1
lrwxrwxrwx    1 root     root           63 Jun 19 08:27 libgmodule-2.0.so.0.800.1 -> /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgmodule-2.0.so.0.800.1
lrwxrwxrwx    1 root     qpe            25 Nov  5  2005 libgmodule-2.0.so.0.back -> libgmodule-2.0.so.0.200.1
lrwxrwxrwx    1 root     root           51 Jun 19 08:27 libgmodule.so -> /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgmodule.so

for example,there is a existing lib in cacko rom name libgmodule-2.0.so.0.200.1 and libgmodule-1.2.so.0 is linked to this one, pdaxqtrom seems to add libgmodule-2.0.so.0.800.1 but libgmodule-1.2.so.0 stay linked to the cacko one after the pdaxqtrom install. So for the 3 or 4 libs in this case, where an update lib is added by pdaxqtrom (look if the same lib with a .800 or .600 exists linked to the cramfs) i have add .back to the cacko link and linked manualy the pdaxqtrom one. So now everything works under pdaxqtrom. note that if you run ldconfig the original config is restored (for exemple when you install a new app). maybe it is better to remove the cako lib and keep only the one from pdaxqtrom,but i'm not sure about the other qt apps...
Another point is that now opera is not working anymore...
finally,there was this thing in another thread about gdk-pixbuf.loaders
CODE
su
ln -sf /opt/QtPalmtop/lib/gtk-2.0 /usr/lib/gtk-2.0
gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders

hope this can help.
any idea why opera is no more working ?
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.